$(document).ready(function() {

	%[if %("%id=unified_ids%" == "true")% ]%
	$('#%id=ziplist_id% > dt > a').attr('id', function(i) {
		return '%id=unified_identifier%'+(i+1);
	});
	$('#%id=ziplist_id% > dt > a').attr('href', function(i) {
		return '#%id=unified_identifier%'+(i+1);
	});
	%[endif]%

	var allPanels = $('#%id=ziplist_id% > dd');
	
	$('#%id=ziplist_id% > dt > a').click(function() {
		
		$this = $(this);
		$target =  $this.parent().next();
		
		// Optional custom callbacks to run when a ZipList title is clicked 
		%id=custom_callback%

		if(!$target.hasClass('active')){
			allPanels.removeClass('active').slideUp();
			$target.addClass('active').slideDown(function() {
				// Animation complete
				$('html, body').animate({
					scrollTop: $this.offset().top
				}, %id=scroll_speed%);
			});
		}
		%[if %("%id=collapsible%" == "true")%]%
		// Collapsable titles enabled
		else {
			$target.removeClass('active').slideUp();
		}
		%[endif]%
		    
		return false;
	});
	
	// Starting tab
	$("#%id=ziplist_id% > dt:nth-of-type(%id=starting_item%) > a").trigger("click");
	
	// Custom links
	$("a[data-ziplist]").click(function() {
	    var ziplistitem = $(this).data("ziplist")
	    $("#%id=ziplist_id% #" + ziplistitem).trigger("click");
	});
	
	// Function to trigger a ZipList item on page load (via the browser address bar)
	if (window.location.hash) {
	    $(window.location.hash).click(); //clicks on element specified by hash
	}
	
	// Numbers (if enabled)
	%[if %("%id=numbering%" == "true")%]%
	$("#%id=ziplist_id% dt").each(function(i) {
	    $(this).find("span.zipListNumber").text(++i);
	});
	%[endif]%

	// Hidden anchors applied to each list item
	$("#%id=ziplist_id% dt").each(function(i) {
		var itemlink = $(this).find('a.zipListTitleLink').attr('href');
		var url = window.location.href; 
	    $(this).find(".zipListHiddenAnchorText").text(url + itemlink);
	});

	%[if %("%id=anchor_buttons%" != "none")%]%
	// Copy buttons
	$("#%id=ziplist_id% dt a").each(function(i) {
		var itemlink = $(this).attr('href');
		var url = window.location.href;
		%[if %("%id=anchor_buttons%" == "left")%]%
		$(this).before('<button class="zipListCopyButton" onclick="copyToClipboard()" data-ziplisturl="' + url + itemlink + '">%id=copy_button_label%</button>');
		%[endif]%
		%[if %("%id=anchor_buttons%" == "right")%]%
		$(this).after('<button class="zipListCopyButton" onclick="copyToClipboard()" data-ziplisturl="' + url + itemlink + '">%id=copy_button_label%</button>');
		%[endif]%
	});

	$("#%id=ziplist_id% button.zipListCopyButton").click(function (event) {
		event.preventDefault();
		var buttondata = $(this).attr('data-ziplisturl');
		CopyToClipboard(buttondata);
	});

	function CopyToClipboard(value) {
		var $temp = $("<input>");
		$("body").append($temp);
		$temp.val(value).select();
		document.execCommand("copy");
		$temp.remove();
	}
	%[endif]%

});